.TITLE 18 Inductor-Capacitor-Resistor Ladder Network
.OPTIONS CO=132 POST=2 ACCT PROBE
.OPTION ACOUT=1 $use HSPICE algos to calculate mag, phase etc.
* Netlist of sixteen caps in three values:
* 
* 4x 47    uF    B package
* 6x 0.1   uF 0603 package
* 6x 0.01  uF 0402 package
******************80 columns wide***********************************************
*2345678901234567890123456789012345678901234567890123456789012345678901234567890
******************80 columns wide***********************************************
*Iyyy n+ n- <<DC=> dcval> <tranfun> <AC=acmag, <acphase>> <M=val>
IIN 0 top DC=0A AC=1A  $ setup an AC current source driving into node 1.
********************************************************************************
*Iyyy    independent current source element name. Must begin with
*        an I, which can be followed by up to 1023 alphanumeric characters.
*n+      positive node
*n-      negative node
*DC      DC source value, dcval. The tranfun value at time zero
*        overrides the DC value (default=0.0).
*tranfun transient source function (AC, ACI, AM, DC, EXP, PE, PL,
*        PU, PULSE, PWL, R, RD, SFFM, SIN)
*AC      indicates source is to be used in an AC small-signal analysis
*        acmag AC magnitude
*acphase AC phase (default=0.0)
*M       multiplier used for simulating multiple parallel current
*        sources. The current value is multiplied by M (default=1.0).
********************************************************************************
R_IN top 1 .001    $ Make a connection between the current source and the Ladder
*
* ------ 47 uF
*
L1   3  1  2.3n
C1   2  3 47.0u
R1   0  2  0.8
*
L2   4  1  2.3n
C2   5  4 47.0u
R2   0  5  0.8
*
L3   6  1  2.3n
C3   7  6 47.0u
R3   0  7  0.8
*
L4   8  1  2.3n
C4   9  8 47.0u
R4   0  9  0.8
*
L5   10  1  2.3n
C5   11 10 47.0u
R5   0  11  0.8
*
L6   12  1  2.3n
C6   13 12 47.0u
R6   0  13  0.8 
*
* ------ 0.1 uF
*
L7  14  1  1.8n
C7  15 14  0.1u
R7   0 15  0.07
*
L8  16  1  1.8n
C8  17 16  0.1u
R8   0 17  0.07
*
L9  18  1  1.8n
C9  19 18  0.1u
R9   0 19  0.07
*
L10  20  1  1.8n
C10  21 20  0.1u
R10   0 21  0.07
*
L11  22  1  1.8n
C11  23 22  0.1u
R11   0 23  0.07
*
L12 24  1  1.8n
C12 25 24  0.1u
R12  0 25  0.07
*
* ------ 0.01 uF
*
L13 26  1  1.7n
C13 27 26  0.01u
R13  0 27  0.23
*
L14 28  1  1.7n
C14 29 28  0.01u
R14  0 29  0.23
*
L15 30  1  1.7n
C15 31 30  0.01u
R15  0 31  0.23
*
L16 32  1  1.7n
C16 33 32  0.01u
R16  0 33  0.23
*
L17 34  1  1.7n
C17 35 34  0.01u
R17  0 35  0.23
*
L18 36  1  1.7n   
C18 37 36  0.01u  
R18  0 37  0.23  
*
R_dcpath_to_gnd 1 0 1000000
*
.AC DEC 200 1MEG 1000MEG $200 points per decade, from 1MHz to 1GHz
*
.NET IIN  $input and output source resistance defaulted to 1 ohm
*
.PLOT AC VM(1) VDB(1) VP(1)
.PRINT AC ZIN(M) ZIN(P) VDB(1) VI(1) VM(1) VR(1)
*=> PLOT simply puts a crude graph is the text listing output file
*=> PRINT simply puts the tabular data in the text listing output file
****  M=magnitude, P=phase, I=Imaginary, R=real DB=db
********************************************************************************
*.NET Statement - AC Network Analysis
*The .NET statement computes the parameters for the impedance matrix Z, the
*admittance matrix Y, the hybrid matrix H, and the scattering matrix S. The input
*impedance, output impedance, and admittance are also computed. This analysis
*is a part of the AC small-signal analysis. Therefore, network analysis requires
*the specification of the AC statement frequency sweep.
*
*Syntax:
*One-port network:
*.NET input <RIN=val>
*   or
*.NET input <val >
*Two-port network:
*.NET output input <ROUT=val> <RIN=val>
*where:
*input   AC input voltage or current source name
*output  output port. It can be an output voltage, V(n1,n2), or an
*        output current, I(source), or I(element).
*RIN     input or source resistance keyword. The RIN value is used to
*        calculate the output impedance and admittance, and also the
*        scattering parameters. The RIN value defaults to 1 ohm.
*ROUT    output or load resistance keyword. The ROUT value is used
*        to calculate the input impedance and admittance, and also
*        the scattering parameters. The ROUT value defaults to 1
*        ohm.
********************************************************************************
.END